Bug 858207 - Src packages have a wrong sourcerpm property
Src packages have a wrong sourcerpm property
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: hawkey (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ales Kozumplik
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-18 06:18 EDT by Martin Gracik
Modified: 2014-09-30 19:40 EDT (History)
3 users (show)

See Also:
Fixed In Version: hawkey-0.2.11-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-20 10:05:01 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Martin Gracik 2012-09-18 06:18:42 EDT
Description of problem:

When doing a query for a src package using fedora 17 repositories, the hawkey package object of the src package returns a wrong sourcerpm property.

For example package object for "basesystem-10.0-6.fc17.src" has a sourcerpm property of "basesystem-10.0-6.fc17..rpm" when it should be empty.


Version-Release number of selected component (if applicable):


How reproducible:
Do a query for a src package and print the packages sourcerpm property.


Steps to Reproduce:
1. Load fedora 17 source repos.
2. Do a query filter:
   query = hawkey.Query(sack)
   query.filterm(name='basesystem', arch='src')
   query.run()
3. print str(query.result[0]), query.result[0].sourcerpm
  
Actual results:
basesystem-10.0-6.fc17.src basesystem-10.0-6.fc17..rpm


Expected results:
basesystem-10.0-6.fc17.src None


Additional info:
Comment 1 Ales Kozumplik 2012-09-21 04:22:29 EDT
Thanks for the report, this is fixed on master now by debe05e. The Python-side change is described here:

http://akozumpl.github.com/hawkey/changes.html#changes-in-0-2-11
Comment 2 Fedora Update System 2012-09-21 08:55:59 EDT
hawkey-0.2.11-3.git0245875.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/hawkey-0.2.11-3.git0245875.fc18
Comment 3 Fedora Update System 2012-09-22 02:34:11 EDT
Package hawkey-0.2.11-3.git0245875.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing hawkey-0.2.11-3.git0245875.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-14575/hawkey-0.2.11-3.git0245875.fc18
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2012-09-24 03:37:12 EDT
hawkey-0.2.11-4.git687ceab.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/hawkey-0.2.11-4.git687ceab.fc18
Comment 5 Fedora Update System 2012-12-20 10:05:03 EST
hawkey-0.2.11-3.git0245875.fc18 has been pushed to the Fedora 18 obsolete repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.